{
  "name": "gravityops/search",
  "repositories": {
    "gravityops-remote": {
      "type": "vcs",
      "url": "git@github.com:BrightLeaf-Digital/gravityops.git",
      "no-api": true
    }
  },
  "require": {
    "gravityops/core": "2.0.2@stable",
    "freemius/wordpress-sdk": "2.13.1"
  },
  "minimum-stability": "stable",
  "prefer-stable": true,
  "extra": {
    "strauss": {
      "target_directory": "vendor/GOSP",
      "namespace_prefix": "GOSP\\",
      "classmap_prefix": "GOSP_",
      "constant_prefix": "GOSP_",
      "packages": [
        "gravityops/core",
        "trustedlogin/client"
      ],
      "exclude_packages": [
        "freemius/wordpress-sdk"
      ],
      "delete_vendor_packages": true,
      "update_call_sites": [
        "includes",
        "gravityops-search.php"
      ],
      "exclude_from_copy": {
        "file_patterns": [
          "(^|/)\\.git(/|$)",
          "(^|/)\\.github(/|$)",
          "\\.git(ignore|modules|attributes)$"
        ]
      }
    }
  },
  "config": {
    "preferred-install": {
      "gravityops/core": "source",
      "*": "dist"
    }
  },
  "scripts": {
    "prefix-namespaces": [
      "@php -r \"if (!file_exists('bin')) { mkdir('bin', 0755, true); }\"",
      "@php -r \"if (!file_exists('bin/strauss.phar')) { file_put_contents('bin/strauss.phar', file_get_contents('https://github.com/BrianHenryIE/strauss/releases/latest/download/strauss.phar')); }\"",
      "@php bin/strauss.phar",
      "@php -r \"unlink('bin/strauss.phar');\"",
      "@php -r \"if (is_dir('bin')) rmdir('bin');\"",
      "@composer dump-autoload"
    ]
  }
}
